<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfButton } from '~/models';

export default Vue.extend({
  name: 'PricingBanner',
  props: {
    title: {
      type: String,
      required: false,
      default: '',
    },
    button: {
      type: Object as PropType<CtfButton>,
      required: false,
      default: () => {},
    },
    locale: {
      type: String,
      required: false,
      default: '',
    },
  },
});
</script>
<template>
  <SlpContainer
    class="pricing-promo"
    :class="{ 'pricing-promo--nonEnglish': locale }"
    variant="light-purple-100"
  >
    <SlpRow class="pricing-promo__content">
      <SlpTypography tag="p" variant="body2-bold">
        {{ title }}
      </SlpTypography>
      <SlpButton
        :href="button.externalUrl"
        variant="tertiary"
        class="pricing-promo__cta"
        :data-ga-name="button?.dataGaName"
        :data-ga-location="button?.dataGaLocation"
      >
        {{ button?.text }}
        <SlpIcon variant="product" name="arrow-right" />
      </SlpButton>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.pricing-promo {
  padding: 16px 0px;
  position: sticky;
  z-index: 999;

  &--nonEnglish {
    position: initial;
  }

  @media (max-width: $breakpoint-md) {
    top: 80px;
  }

  @media (max-width: $breakpoint-sm) {
    top: 116px;
  }

  @media (min-width: $breakpoint-lg) {
    top: 120px;
  }

  @media (min-width: 1108px) {
    top: 100px;
  }

  @media (min-width: 1184px) {
    top: 84px;
  }

  &__content {
    gap: 16px;
    justify-content: center;
  }

  &__faq {
    padding-top: 24px;
  }

  &__cta {
    font-size: 16px;
    text-decoration: underline;
    padding: 0px;
    font-weight: 400;
  }

  &__section-navigator {
    top: 120px;

    @media (min-width: $breakpoint-md) {
      top: 142px;
    }

    &--nonEnglish {
      top: 116px;

      @media (min-width: $breakpoint-md) {
        top: 84px;
      }
    }
  }
}
</style>
